org.modeshape.common.collection

## Class LinkedListMultimap.MapEntries

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<Map.Entry<K,Collection<V>>>
    - - org.modeshape.common.collection.LinkedListMultimap.MapEntries

- All Implemented Interfaces:
    Iterable<Map.Entry<K,Collection<V>>>, Collection<Map.Entry<K,Collection<V>>>, Set<Map.Entry<K,Collection<V>>>
  Enclosing class:
    LinkedListMultimap<K,V>

      protected class LinkedListMultimap.MapEntries
      extends AbstractSet<Map.Entry<K,Collection<V>>>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LinkedListMultimap.MapEntries()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<Map.Entry<K,Collection<V>>>` | `iterator()`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode, removeAll`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray`

- - ### Constructor Detail

    - #### LinkedListMultimap.MapEntries

          protected LinkedListMultimap.MapEntries()

  - ### Method Detail

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<Map.Entry<K,Collection<V>>>`
      Specified by:
        `size` in interface `Set<Map.Entry<K,Collection<V>>>`
      Specified by:
        `size` in class `AbstractCollection<Map.Entry<K,Collection<V>>>`
      See Also:
        `AbstractCollection.size()`

    - #### iterator

          public Iterator<Map.Entry<K,Collection<V>>> iterator()

      Specified by:
        `iterator` in interface `Iterable<Map.Entry<K,Collection<V>>>`
      Specified by:
        `iterator` in interface `Collection<Map.Entry<K,Collection<V>>>`
      Specified by:
        `iterator` in interface `Set<Map.Entry<K,Collection<V>>>`
      Specified by:
        `iterator` in class `AbstractCollection<Map.Entry<K,Collection<V>>>`
      See Also:
        `AbstractCollection.iterator()`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.